<?php

namespace App\Models\Goods;

use App\Base\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\Goods\GoodsSku
 *
 * @property int                             $id
 * @property int                             $goods_id
 * @property string                          $sn 型号
 * @property string                          $url_3d 3D的跳转地址
 * @property array                           $spec_attr_list 规格数据
 * @property int                             $is_use 是否使用
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku newQuery()
 * @method static \Illuminate\Database\Query\Builder|GoodsSku onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku query()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereGoodsId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereIsUse($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereSn($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereSpecAttrList($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSku whereUrl3d($value)
 * @method static \Illuminate\Database\Query\Builder|GoodsSku withTrashed()
 * @method static \Illuminate\Database\Query\Builder|GoodsSku withoutTrashed()
 * @mixin \Eloquent
 * @deprecated
 */
class GoodsSku extends BaseModel
{
    use SoftDeletes;

    protected $table = "goods_sku";

    protected $casts = [
        "spec_attr_list" => "array",
    ];

    public function format(...$options)
    {

    }

    public function specAttr()
    {

    }
}
