<?php

namespace App\Models\Goods;

use App\Base\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\Goods\GoodsSpecMap
 *
 * @property int                              $id
 * @property int                              $goods_id
 * @property int                              $spec_id
 * @property string                           $value
 * @property \Illuminate\Support\Carbon|null  $created_at
 * @property \Illuminate\Support\Carbon|null  $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap query()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap whereGoodsId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap whereSpecId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSpecMap whereValue($value)
 * @mixin \Eloquent
 * @property-read \App\Models\Goods\Spec|null $spec
 */
class GoodsSpecMap extends BaseModel
{
    protected $table = "goods_spec_map";

    public function spec()
    {
        return $this->belongsTo(Spec::class);
    }
}
