<?php

namespace App\Models;

use App\Base\BaseModel;

/**
 * App\Models\Setting
 *
 * @property int                             $id
 * @property string                          $type
 * @property string                          $key
 * @property array                           $value
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|Setting newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Setting newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Setting query()
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereKey($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereValue($value)
 * @mixin \Eloquent
 */
class Setting extends BaseModel
{
    const TYPE_BANNER = 'banner';
    const TYPE_CUSTOM = 'custom';
    const TYPE_HOT_KEYWORD = "hot_keyword";
    protected $table = "setting";

    protected $casts = [
        "value" => "array",
    ];

}
