<?php

namespace App\Models\User;

use App\Base\BaseModel;

/**
 * App\Models\User\UserCompany
 *
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany query()
 * @mixin \Eloquent
 * @property int                             $id
 * @property int                             $user_id
 * @property string                          $name
 * @property string                          $tax_no 企业税号
 * @property int                             $status 1 待审核 2已审核
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereTaxNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereUserId($value)
 * @property string                          $department
 * @property string                          $tel
 * @property string                          $address
 * @property string                          $linkman 联系人名称
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereDepartment($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereLinkman($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserCompany whereTel($value)
 */
class UserCompany extends BaseModel
{
    const STATUS_INIT = 1;
    const STATUS_PASS = 2;
    const STATUS_FAIL = 3;
    protected $table = "user_company";

}
