<?php

namespace App\Models\User;

use App\Base\BaseModel;
use App\Models\Goods\Goods;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\User\UserFav
 *
 * @property int                             $id
 * @property int                             $user_id
 * @property int                             $goods_id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav query()
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav whereGoodsId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav whereUserId($value)
 * @mixin \Eloquent
 * @property string|null                     $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|UserFav whereDeletedAt($value)
 * @method static \Illuminate\Database\Query\Builder|UserFav onlyTrashed()
 * @method static \Illuminate\Database\Query\Builder|UserFav withTrashed()
 * @method static \Illuminate\Database\Query\Builder|UserFav withoutTrashed()
 * @property-read Goods|null                 $good
 */
class UserFav extends BaseModel
{
    use SoftDeletes;

    protected $table = "user_fav";

    public function good()
    {
        return $this->belongsTo(Goods::class, "goods_id");
    }
}
