<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Exports\AdminOrderExport;
use App\Exports\AdminUserExport;
use App\Modules\Admin\Services\OrderService;
use Faker\Provider\Image;
use Maatwebsite\Excel\Facades\Excel;

class OrderController extends BaseController
{
    public function paginate()
    {
        $params = $this->valid([
            "userinfo" => "",
            "id" => "",
            "page_size" => "",
        ]);
        $paginate = app(OrderService::class)->paginate($params);
        return $this->ok($paginate);
    }

    public function export()
    {
        $params = $this->valid([
            "userinfo" => "",
            "id" => "",
        ]);
        $name = sprintf('后台订单导出%s.xls', date("YmdHis"));
        Excel::store(new AdminOrderExport($params), $name, "public");

        return $this->ok([
            "url" => config("app.url") . "/storage/" . $name,
        ]);
    }
}
