<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger("user_id");
            $table->string("source")->default("")->comment("来源");
            $table->timestamps();
        });
        Schema::create('order_goods', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger("order_id");
            $table->unsignedInteger("goods_id");
            $table->unsignedInteger("sku_id");
            $table->string("sn")->default("");
            $table->unsignedInteger("count")->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order');
        Schema::dropIfExists('order_goods');
    }
};
