<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("goods", function (Blueprint $t) {
            $t->string("en_name")->default("");
            $t->text("en_desc_html")->default("");
            $t->text("en_spec_attr_html")->default("");
            $t->text("en_faq_html")->default("");
        });
        Schema::table("goods_custom", function (Blueprint $t) {
            $t->string("en_title")->default("");
        });
        Schema::table("category", function (Blueprint $t) {
            $t->string("en_name")->default("");
        });
        Schema::table("spec", function (Blueprint $t) {
            $t->string("en_name")->default("");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("goods", function (Blueprint $t) {
            $t->dropColumn("en_name");
            $t->dropColumn("en_desc_html");
            $t->dropColumn("en_spec_attr_html");
            $t->dropColumn("en_faq_html");
        });
        Schema::table("goods_custom", function (Blueprint $t) {
            $t->dropColumn("en_title");
        });
        Schema::table("category", function (Blueprint $t) {
            $t->dropColumn("en_name");
        });
        Schema::table("spec", function (Blueprint $t) {
            $t->dropColumn("en_name");
        });
    }
};
