<?php

use Illuminate\Support\Facades\Route;

Route::post("/admin/auth/login", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "login"]);

Route::middleware([\App\Http\Middleware\AdminAuthMiddleware::class])->group(function () {
    Route::get("/admin/auth/profile", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "profile"]);
    Route::post("/admin/auth/changePassword", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "changePassword"]);

    Route::get("/admin/user/paginate", [\App\Modules\Admin\Controllers\Admin\UserController::class, "paginate"]);
    Route::post("/admin/user/changeStatus", [\App\Modules\Admin\Controllers\Admin\UserController::class, "changeStatus"]);
    Route::post("/admin/user/saveSetting", [\App\Modules\Admin\Controllers\Admin\UserController::class, "saveSetting"]);
    Route::get("/admin/user/export", [\App\Modules\Admin\Controllers\Admin\UserController::class, "export"]);

    Route::get("/admin/banner/paginate", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "paginate"]);
    Route::post("/admin/banner/store", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "store"]);
    Route::post("/admin/banner/del", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "del"]);
    Route::post("/admin/banner/changeStatus", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "changeStatus"]);

    Route::get("/admin/common/groupMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "groupMap"]);
    Route::get("/admin/common/permissionMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "permissionMap"]);
    Route::get("/admin/common/settingMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "settingMap"]);
    Route::post("/admin/common/settingSave", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "settingSave"]);
    Route::get("/admin/common/allCategory", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "allCategory"]);
    Route::get("/admin/common/allSpec", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "allSpec"]);
    Route::get("/admin/common/allCustom", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "allCustom"]);

    Route::get("/admin/goods/specPaginate", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specPaginate"]);
    Route::get("/admin/goods/specInfo", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specInfo"]);
    Route::post("/admin/goods/specStore", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specStore"]);
    Route::post("/admin/goods/specDelete", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specDelete"]);

    Route::get("/admin/goods/paginate", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "paginate"]);
    Route::get("/admin/goods/info", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "info"]);
    Route::post("/admin/goods/makeSkuTable", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "makeSkuTable"]);
    Route::post("/admin/goods/changeStatus", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "changeStatus"]);
    Route::post("/admin/goods/store", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "store"]);

    Route::get("/admin/category/paginate", [\App\Modules\Admin\Controllers\Admin\CategoryController::class, "paginate"]);
    Route::get("/admin/category/info", [\App\Modules\Admin\Controllers\Admin\CategoryController::class, "info"]);
    Route::post("/admin/category/store", [\App\Modules\Admin\Controllers\Admin\CategoryController::class, "store"]);
    Route::post("/admin/category/del", [\App\Modules\Admin\Controllers\Admin\CategoryController::class, "del"]);

    Route::get("/admin/order/paginate", [\App\Modules\Admin\Controllers\Admin\OrderController::class, "paginate"]);
    Route::get("/admin/order/export", [\App\Modules\Admin\Controllers\Admin\OrderController::class, "export"]);

});
