<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::get('/', [\App\Http\Controllers\Controller::class, "ping"]);

Route::post("/auth/codeToSession", [\App\Modules\Mini\Controllers\AuthController::class, "codeToSession"]);
Route::get("/auth/test", [\App\Modules\Mini\Controllers\AuthController::class, "test"]);
Route::post("/auth/emailCaptcha", [\App\Modules\Mini\Controllers\AuthController::class, "emailCaptcha"]);

Route::middleware([\App\Http\Middleware\CheckAuthMiddleware::class])->group(function () {
    Route::post("/auth/decryptUserInfo", [\App\Modules\Mini\Controllers\AuthController::class, "decryptUserInfo"]);
    Route::post("/auth/decryptPhone", [\App\Modules\Mini\Controllers\AuthController::class, "decryptPhone"]);
    Route::get("/auth/profile", [\App\Modules\Mini\Controllers\AuthController::class, "profile"]);
    Route::post('/auth/updateUserInfo', [\App\Modules\Mini\Controllers\AuthController::class, "updateUserInfo"]);
    Route::post("/goods/fav", [\App\Modules\Mini\Controllers\GoodsController::class, "fav"]);
    Route::post("/goods/ask", [\App\Modules\Mini\Controllers\GoodsController::class, "ask"]);
    Route::post("/goods/cart", [\App\Modules\Mini\Controllers\GoodsController::class, "cart"]);

    Route::get("/user/address", [\App\Modules\Mini\Controllers\UserController::class, "address"]);
    Route::post("/user/addressDel", [\App\Modules\Mini\Controllers\UserController::class, "addressDel"]);
    Route::post("/user/addressStore", [\App\Modules\Mini\Controllers\UserController::class, "addressStore"]);

    Route::post("/user/company", [\App\Modules\Mini\Controllers\UserController::class, "company"]);
    Route::get("/user/fav", [\App\Modules\Mini\Controllers\UserController::class, "fav"]);
    Route::post("/user/favDel", [\App\Modules\Mini\Controllers\UserController::class, "favDel"]);

    Route::get("/cart", [\App\Modules\Mini\Controllers\CartController::class, "index"]);
    Route::post("/cart/del", [\App\Modules\Mini\Controllers\CartController::class, "del"]);
    Route::post("/cart/store", [\App\Modules\Mini\Controllers\CartController::class, "store"]);
    Route::post("/cart/ask", [\App\Modules\Mini\Controllers\CartController::class, "ask"]);
});

Route::get("/page/home", [\App\Modules\Mini\Controllers\PageController::class, "home"]);
Route::get("/page/categoryTree", [\App\Modules\Mini\Controllers\PageController::class, "categoryTree"]);
Route::get("/page/categoryGoods", [\App\Modules\Mini\Controllers\PageController::class, "categoryGoods"]);
Route::post("/page/categoryGoods", [\App\Modules\Mini\Controllers\PageController::class, "categoryGoods"]);
Route::get("/page/filterConfig", [\App\Modules\Mini\Controllers\PageController::class, "filterConfig"]);
Route::get("/page/search", [\App\Modules\Mini\Controllers\PageController::class, "search"]);
Route::post("/page/search", [\App\Modules\Mini\Controllers\PageController::class, "search"]);

Route::get("/goods", [\App\Modules\Mini\Controllers\GoodsController::class, "goods"]);


Route::get("/config", [\App\Modules\Mini\Controllers\ConfigController::class, "index"]);
